Package org.apache.maven.scm.provider.hg.command.inventory

## Class HgListConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.hg.command.HgConsumer
    - - org.apache.maven.scm.provider.hg.command.inventory.HgListConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class HgListConsumer
    extends HgConsumer

Get a list of all files in the repository

Author:
  ryan daum

### Constructor Summary

Constructors
`HgListConsumer​(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doConsume​(ScmFileStatus status, java.lang.String trimmedLine)`
`java.util.List<ScmFile>` `getFiles()`

### Methods inherited from class org.apache.maven.scm.provider.hg.command.HgConsumer

`consumeLine, getStdErr`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HgListConsumer

    public HgListConsumer​(ScmLogger logger)

### Method Detail

#### doConsume

    public void doConsume​(ScmFileStatus status,
                          java.lang.String trimmedLine)

Overrides:
  `doConsume` in class `HgConsumer`

#### getFiles

    public java.util.List<ScmFile> getFiles()